from random import randint
from retro.game import Game
from retro.graph import Graph
from catcher import Catcher
from fruit import Fruit

g = Graph()
g.get_or_create_edge(26, 10, 26, 22)
agents = g.get_agents()
for agent in agents:
    agent.color = "white_on_indigo"

agents = [
    Catcher((14, 24)),
    Fruit((14, 2)),
]

state = {'Score': 0}
game = Game(agents, state, board_size=(35, 25), framerate=24, color="white_on_indigo")
game.play()